com.google.gwt.user.cellview.client

## Interface LoadingStateChangeEvent.LoadingState

Enclosing class:
  LoadingStateChangeEvent

    public static interface LoadingStateChangeEvent.LoadingState

Represents the current status of the data being loaded.

### Field Summary

Fields
`static LoadingStateChangeEvent.LoadingState` `LOADED` Indicates that the data set has been completely loaded.
`static LoadingStateChangeEvent.LoadingState` `LOADING` Indicates that the data has started to load.
`static LoadingStateChangeEvent.LoadingState` `PARTIALLY_LOADED` Indicates that part of the data set has been loaded, but more data is still pending.

### Field Detail

#### LOADING

    static final LoadingStateChangeEvent.LoadingState LOADING

Indicates that the data has started to load.

#### PARTIALLY_LOADED

    static final LoadingStateChangeEvent.LoadingState PARTIALLY_LOADED

Indicates that part of the data set has been loaded, but more data is still pending.

#### LOADED

    static final LoadingStateChangeEvent.LoadingState LOADED

Indicates that the data set has been completely loaded.